XMLPROC_VAL(1)

NAME
xmlproc_val - a validating xml file parser using the xmlproc parser

SYNOPSIS
xmlproc_val [ options ] [ urltodoc ]

DESCRIPTION
xmlproc_val is a command line XML file parser. It can parse and validate a document read from a URL, a file or a stream on its standard input, and check if it is well-formed and valid XML. It can also output the parsed XML to several formats if you use the -o command line option.

OPTIONS

-l language
    ISO 3166 language code for language to use in error messages

-o format
    Format to output parsed XML. 'e': ESIS, 'x': canonical XML and 'n': normalized XML. No data will be output if this option is not specified.

-n  Report qualified names as 'URI name'. (Namespace processing.)

-c catalog
    Path to catalog file to use to resolve public identifiers

--nowarn
    Don't write warnings to console.

--entstck
    Show entity stack on errors.

--extsub
    Read the external subset of documents.

urltodoc
    URL to the document to parse. (You can use plain file names as well.) Can be omitted if a catalog is specified and contains a DOCUMENT entry.

REQUIRES
Python

SEE ALSO
xmlproc_parse(1) http://pyxml.sourceforge.net/

AUTHOR
Python XML Special Interest Group (XML-SIG) This manpage was written by Alexandre Fayolle <alexandre.fayolle@logilab.fr>.